Summary: minilist provide a panel to manage simple mailing lists
Name: smeserver-minilist
Version: 0.1.11
Release: 1%{?dist}
Epoch: 9
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.2.0

%description
Provides group like mail fonctionnality, but lets you enter arbitrary email addresses

%changelog
* Fri Dec 18 2020 Daniel Berteaud <daniel@firewall-services.com> 0.1.11-1
- Fix inversion of templates between qpsmtpd and qmail (daniel@firewall-
  services.com)

* Fri Dec 18 2020 Daniel Berteaud <daniel@firewall-services.com> 0.1.10-1
- Fix badrcptto_ext template (daniel@firewall-services.com)

* Fri Dec 18 2020 Daniel Berteaud <daniel@firewall-services.com> 0.1.9-1
- File to expand is badrcptto_ext (daniel@firewall-services.com)

* Fri Dec 18 2020 Daniel Berteaud <daniel@firewall-services.com> 0.1.8-1
- Add missing event links for the new Visible prop support (daniel@firewall-
  services.com)

* Fri Dec 18 2020 Daniel Berteaud <daniel@firewall-services.com> 0.1.7-1
- Add support for the Visible prop on minilists (daniel@firewall-services.com)

* Thu Mar 19 2020 Daniel Berteaud <daniel@firewall-services.com> 0.1.6-1
- Adapt spec file for builds with tito (daniel@firewall-services.com)
- Escape dots in minilist names to semicolons (daniel@firewall-services.com)

* Thu Mar 19 2020 Daniel Berteaud <daniel@firewall-services.com>
- Escape dots in minilist names to semicolons (daniel@firewall-services.com)

* Thu Mar 19 2020 Daniel Berteaud <daniel@firewall-services.com>
- Escape dots in minilist names to semicolons (daniel@firewall-services.com)

* Fri Oct 04 2019 Daniel Berteaud <daniel@firewall-services.com> 0.1.5-1
- new package built with tito

* Fri Oct 4 2019 Daniel Berteaud <daniel@firewall-services.com> - 0.1.5-1
- Forbid uppercase in list name as qmail doesn't support it

* Tue Jan 12 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.4-1
- Also update lists in email-update and bootstrap-console-save

* Wed Jan 8 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.1.3-1
- Add support for pseudonyms

* Wed Nov 13 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1
- New branch for SME9

* Thu Nov 22 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1
- Add template for qpsmtpd goodrcptto

* Thu Nov 22 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- initial release

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

